---
api: 'Business API'
---

# Retrieve a list of departments

Get a paginated list of all departments in your business.

For more information, see the guides: [Manage departments](https://developer.revolut.com/docs/guides/manage-accounts/teams/manage-departments).

## Endpoint

GET `/departments`

## Parameters

### query parameters

- `limit` (number, optional)
  The maximum number of departments returned per page.
  
  To get to the next page, use the `next_page_token` from the previous response.

- `page_token` (string, optional)

## Returns

### 200

A paginated list of departments.

#### Response attributes

- `departments` (array of object)
  - `departments[].id` (string)
      The ID of the department.
  - `departments[].name` (string)
      The name of the department.
  - `departments[].created_at` (string)
      The date and time the department was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
  - `departments[].updated_at` (string)
      The date and time the department was last updated in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `next_page_token` (string, optional)
    Token to fetch the next page.
    
    Omitted when there are no more results.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad pagination parameters  Returned when the pagination parameters are invalid. |
| 401 | Unauthorized – authentication credentials are missing or invalid  Returned when the request was not fulfilled because authentication has failed or has not been provided. |
| 403 | Action forbidden - insufficient permissions to perform this action  Returned, for example, when you don't have permissions necessary to perform this action. |
